package com.cool.store.enums;

public enum CallStatusEnum {

    PENDING_CALL(0, "待呼叫"),
    CALL_ANSWERED(1, "呼叫接听"),
    CALL_MISSED(2, "呼叫未接听"),
    CALL_FAILED(3, "呼叫失败");

    private final int code;
    private final String message;

    CallStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}